%define hsc_name ghc
%define hsc_version %ghc_version
%define hsc_namever %hsc_name
%define h_pkg_name OpenGL
%define f_pkg_name opengl
%define pkg_libdir %_libdir/%hsc_name-%hsc_version/lib/%h_pkg_name-%version

Name: %hsc_namever-%f_pkg_name
Version: 2.2.1.1
Release: alt2.1

Summary: A binding for the OpenGL graphics system
License: BSD
Group: Development/Haskell

Packager: Alexander Myltsev <avm@altlinux.ru>

URL: http://www.haskell.org/HOpenGL/
Source: %f_pkg_name-%version.tar

BuildRequires: ghc libGL-devel libX11-devel libXext-devel
BuildRequires(pre): rpm-build-haskell


%description
A Haskell binding for the OpenGL graphics system (GL, version
2.1) and its accompanying utility library (GLU, version 1.3).
OpenGL is the industry's most widely used and supported 2D and 3D
graphics application programming interface (API), incorporating
a broad set of rendering, texture mapping, special effects, and
other powerful visualization functions.  For more information
about OpenGL, please see: <http://www.opengl.org/>.


%prep
%setup -n %f_pkg_name-%version


%build
if [ -f configure.ac -a ! -f configure ]; then autoreconf; fi
%hs_setup %hs_configure --prefix=%_prefix --libdir=%_libdir\
	--docdir=%_docdir/%hsc_namever-%f_pkg_name-%version\
	--libsubdir='$compiler/lib/$pkgid'\
	--disable-library-profiling --ghc
if %hs_setup makefile -f cabal-rpm.mk
then
    %make_build -f cabal-rpm.mk || :
fi
%hs_setup build
%hs_setup haddock || :
%hs_setup register --gen-pkg-config=%f_pkg_name.pkg


%install
%hs_setup copy --destdir=%buildroot
install -m 755 %f_pkg_name.pkg %buildroot%pkg_libdir

mkdir -p %buildroot%hs_pkgconfdir
%hs_package_register %f_pkg_name.pkg %buildroot%hs_pkgconfdir/%f_pkg_name.conf

cd %buildroot
find .%pkg_libdir \( -name '*_p.a' -o -name '*.p_hi' \) | sed s/^.// >> %_builddir/%{?buildsubdir}/%name-files.prof
find .%pkg_libdir -type d | sed 's/^./%dir /' >> %_builddir/%{?buildsubdir}/%name-files.nonprof
find .%pkg_libdir ! \( -type d -o -name '*_p.a' -o -name '*.p_hi' \) | sed s/^.// >> %_builddir/%{?buildsubdir}/%name-files.nonprof
sed 's,^/,%%exclude /,' %_builddir/%{?buildsubdir}/%name-files.prof >> %_builddir/%{?buildsubdir}/%name-files.nonprof

cd %buildroot%_datadir/doc/%hsc_namever-%f_pkg_name-%version
rm -rf doc LICENSE


%files -f %name-files.nonprof
%hs_pkgconfdir/%f_pkg_name.conf
%doc dist/doc/html
%doc LICENSE


%changelog
* Tue Dec 02 2008 Valery Inozemtsev <shrek@altlinux.ru> 2.2.1.1-alt2.1
- NMU:
  * updated build dependencies

* Mon Dec 01 2008 Alexander Myltsev <avm@altlinux.ru> 2.2.1.1-alt2
- fix build dependencies.

* Fri Aug 08 2008 Alexander Myltsev <avm@altlinux.ru> 2.2.1.1-alt1
- spec file autogenerated by cabal-rpm
